summaryrefslogtreecommitdiff
path: root/TLD
diff options
context:
space:
mode:
authorhackademix2018-08-02 01:50:09 +0200
committerhackademix2018-08-02 01:50:09 +0200
commita97176845d25badb770223c149241f810a83288d (patch)
tree9f49952a27779693265f0c0c02dd97ef7738bd14 /TLD
parent99e8c8b09f7270d335985fb84fa237323dfe2242 (diff)
downloadnoscript-a97176845d25badb770223c149241f810a83288d.tar.gz
noscript-a97176845d25badb770223c149241f810a83288d.tar.xz
noscript-a97176845d25badb770223c149241f810a83288d.zip
Consistent filesystem path quoting in shell scripts.
Diffstat (limited to 'TLD')
-rw-r--r--TLD/generate.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/TLD/generate.sh b/TLD/generate.sh
index ee5d327..0d3b1d8 100644
--- a/TLD/generate.sh
+++ b/TLD/generate.sh
@@ -3,13 +3,13 @@ BASE=$(dirname "$0")
pushd "$BASE"
fname=public_suffix_list.dat
nflag=""
-if [ -f $fname ]; then
+if [ -f "$fname" ]; then
nflag="-z $fname"
fi
URL=https://publicsuffix.org/list/$fname
curl -O $nflag "$URL"
-if ! grep 'com' $fname >/dev/null; then
+if ! grep 'com' "$fname" >/dev/null; then
echo >&2 "$fname empty or corrupt!"
exit 1
fi